# Codeception Test Suite Configuration
#
# Suite for unit or integration tests that require WordPress functions and classes.

actor: WpunitTester
modules:
    enabled:
        - WPLoader
        - \Helper\Wpunit
    config:
        WPLoader:
            wpRootFolder: "%WP_ROOT_FOLDER%"
            dbName: "%TEST_DB_NAME%"
            dbHost: "%TEST_DB_HOST%"
            dbUser: "%TEST_DB_USER%"
            dbPassword: "%TEST_DB_PASSWORD%"
            tablePrefix: "%TEST_TABLE_PREFIX%"
            domain: "%WP_DOMAIN%"
            adminEmail: "%ADMIN_EMAIL%"
            title: "Test"
            plugins: ['src/gb-wc-1cu/gb-wc-1cu.php','src/gb-wc-hcc/gb-wc-hcc.php']
            activatePlugins: ['src/gb-wc-1cu/gb-wc-1cu.php']